cascading.util

## Class ForeverValueIterator<Value>

- java.lang.Object
- - cascading.util.SingleValueIterator<Value>
  - - cascading.util.ForeverValueIterator<Value>

All Implemented Interfaces:
  java.util.Iterator<Value>

    public class ForeverValueIterator<Value>
    extends SingleValueIterator<Value>

The ForeverValueIterator class will iterate over a single value forever.

### Field Summary

### Fields inherited from class cascading.util.SingleValueIterator

`EMPTY, value`

### Constructor Summary

Constructors
Constructor and Description
`ForeverValueIterator(Value value)`

### Method Summary

Methods
`Value` `next()`

### Methods inherited from class cascading.util.SingleValueIterator

`hasNext, remove, reset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ForeverValueIterator

    public ForeverValueIterator(Value value)

### Method Detail

#### next

    public Value next()

Specified by:
  `next` in interface `java.util.Iterator<Value>`
Overrides:
  `next` in class `SingleValueIterator<Value>`